LibreOffice: cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 > Class Template Reference

LibreOffice LibreOffice 7.0 SDK C/C++ API Reference

Classes | Public Member Functions | Protected Member Functions | List of all members
cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface inheriting from a BaseClass. More...

`#include <implbase8.hxx>`

Inheritance diagram for cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >:

## Public Member Functions
| ImplInheritanceHelper8 ()
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_OVERRIDE throw ()
virtual void | release () SAL_OVERRIDE throw ()
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Protected Member Functions
template<typename T1 >
| ImplInheritanceHelper8 (T1 const &arg1)
template<typename T1 , typename T2 >
| ImplInheritanceHelper8 (T1 const &arg1, T2 const &arg2)
template<typename T1 , typename T2 , typename T3 >
| ImplInheritanceHelper8 (T1 const &arg1, T2 const &arg2, T3 const &arg3)
template<typename T1 , typename T2 , typename T3 , typename T4 >
| ImplInheritanceHelper8 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
| ImplInheritanceHelper8 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4, T5 const &arg5)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
| ImplInheritanceHelper8 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4, T5 const &arg5, T6 const &arg6)

## Detailed Description

### template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8>
class cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface inheriting from a BaseClass.

All acquire() and release() calls are delegated to the BaseClass. Upon queryInterface(), if a demanded interface is not supported by this class directly, the request is delegated to the BaseClass.

Attention
  The BaseClass has to be complete in a sense, that css::uno::XInterface and css::lang::XTypeProvider are implemented properly. The BaseClass must have at least one ctor that can be called with six or fewer arguments, of which none is of non-const reference type.

Derive:
  Inherit from this class giving your additional interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Constructor & Destructor Documentation

## ◆ ImplInheritanceHelper8() [1/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1 | ) |
| inlineexplicitprotected

## ◆ ImplInheritanceHelper8() [2/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 , typename T2 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1,
|  | T2 const & | arg2
| ) |  |
| inlineprotected

## ◆ ImplInheritanceHelper8() [3/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 , typename T2 , typename T3 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3
| ) |  |
| inlineprotected

## ◆ ImplInheritanceHelper8() [4/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 , typename T2 , typename T3 , typename T4 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4
| ) |  |
| inlineprotected

## ◆ ImplInheritanceHelper8() [5/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4,
|  | T5 const & | arg5
| ) |  |
| inlineprotected

## ◆ ImplInheritanceHelper8() [6/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4,
|  | T5 const & | arg5,
|  | T6 const & | arg6
| ) |  |
| inlineprotected

## ◆ ImplInheritanceHelper8() [7/7]

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::ImplInheritanceHelper8 | ( |  | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

virtual void cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

## ◆ getImplementationId()

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

virtual css::uno::Sequence< sal_Int8 > cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

virtual css::uno::Sequence< css::uno::Type > cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

virtual css::uno::Any cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ release()

template<class BaseClass , class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 >

virtual void cppu::ImplInheritanceHelper8< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase8.hxx